Skip to main content
POST
/
api
/
v1
/
schema
create entity
curl --request POST \
  --url https://api.example.com/api/v1/schema \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "version": "0.0.1",
  "description": "Detector schema description example",
  "schema": {
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "title": "Product",
    "description": "Json schema example",
    "type": "object",
    "properties": {
      "name": {
        "description": "String property example",
        "type": "string"
      },
      "version": {
        "description": "Integer property example",
        "type": "integer",
        "exclusiveMinimum": 0
      }
    },
    "required": [
      "name",
      "version"
    ]
  },
  "status": "ACTIVE",
  "title": "<string>",
  "author": "<string>",
  "icon": "<string>",
  "tags": [
    "<string>"
  ],
  "networkTags": [
    "<string>"
  ],
  "faq": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "uiSchema": {}
}
'
{
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "title": "<string>",
  "name": "<string>",
  "version": "0.0.1",
  "description": "Detector schema description example",
  "author": "<string>",
  "icon": "<string>",
  "tags": [
    "<string>"
  ],
  "networkTags": [
    "<string>"
  ],
  "faq": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "schema": {
    "$schema": "https://json-schema.org/draft/2020-12/schema",
    "title": "Product",
    "description": "Json schema example",
    "type": "object",
    "properties": {
      "name": {
        "description": "String property example",
        "type": "string"
      },
      "version": {
        "description": "Integer property example",
        "type": "integer",
        "exclusiveMinimum": 0
      }
    },
    "required": [
      "name",
      "version"
    ]
  },
  "uiSchema": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Body

application/json
name
string
required

Name of the detector schema

Minimum string length: 1
version
string
required

Version of the detector schema

Minimum string length: 1
Example:

"0.0.1"

description
string
required

Description of the detector schema

Minimum string length: 1
Example:

"Detector schema description example"

schema
object
required

Json Schema value of the detector schema

Example:
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "title": "Product",
  "description": "Json schema example",
  "type": "object",
  "properties": {
    "name": {
      "description": "String property example",
      "type": "string"
    },
    "version": {
      "description": "Integer property example",
      "type": "integer",
      "exclusiveMinimum": 0
    }
  },
  "required": ["name", "version"]
}
status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
title
string

Title of the detector schema, shown to UI user

author
string

Author for the detector schema

icon
string

Icon for the detector schema

tags
string[]

Detector schema tags. Example SECURITY, COMPLIANCE

networkTags
string[]

Detector schema tags, list of groups or networks that are allowed for this schema. Can include ChainGroup (network group, eg: 'evm') or ChainUid (network eg: 'ethereum'). Empty = any network

faq
object[]

FAQ of the detector schema

uiSchema
object

UI Schema value of the detector schema

Example:
{}

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
title
string

Title of the detector schema, shown to UI user

name
string

Name of the detector schema

version
string

Version of the detector schema

Example:

"0.0.1"

description
string

Description of the detector schema

Example:

"Detector schema description example"

author
string

Author for the detector schema

icon
string

Icon for the detector schema

tags
string[]

Detector schema tags. Example SECURITY, COMPLIANCE

networkTags
string[]

Detector schema tags, list of groups or networks that are allowed for this schema. Can include ChainGroup (network group, eg: 'evm') or ChainUid (network eg: 'ethereum'). Empty = any network

faq
object[]

FAQ of the detector schema

schema
object

Json Schema value of the detector schema

Example:
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "title": "Product",
  "description": "Json schema example",
  "type": "object",
  "properties": {
    "name": {
      "description": "String property example",
      "type": "string"
    },
    "version": {
      "description": "Integer property example",
      "type": "integer",
      "exclusiveMinimum": 0
    }
  },
  "required": ["name", "version"]
}
uiSchema
object

UI Schema value of the detector schema

Example:
{}